<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateSuppliersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('suppliers', function (Blueprint $table) {
            $table->id();
            $table->string('name',30)->comment('名称');
            $table->string('contact_man',30)->comment('联系人');
            $table->string('phone')->comment('电话');
            $table->string('invoice_title')->comment('发票抬头');
            $table->string('bank',30)->comment('账户银行');
            $table->string('bank_account',50)->comment('收款账户');
            $table->string('opening_bank',50)->comment('开户行');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('suppliers');
    }
}
